// pages/userData/index.js
import {
  ajax
} from "../../utils/util";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },
  list: [],
  phone: wx.getStorageSync('phone') || '',
  change(e) {
    const rex = new RegExp(e.detail);
    const {
      list
    } = this.data;
    const li = [];
    for (let i = 0; i < list.length; i++) {
      const v = list[i];
      let isShow = false;
      const keys = ["area", "articleDescribe", "articleGroup", "articleName", "birthday", "name", "phone", "school", "teacher", "teacherPhone"];
      for (let o = 0; o < keys.length; o++) {
        if (rex.test(v[keys[o]])) isShow = true;
      }
      if (!e.detail) isShow = true
      if (isShow) li.push(v);
    }
    this.setData({
      list: li
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    ajax({
      urlType: "apiurl",
      api: "/article/list",
    }).then(res => {
      if (res.code !== 0) return wx.showToast({
        title: res.message || '请求失败',
        icon: 'none'
      })
      const li = res.data || [];
      this.list = li;
      this.setData({
        list: li
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
    return {
      title: __wxConfig.accountInfo.nickname,
      path: "/pages/index/index"
    }
  }
})